﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace mSpy.UI.Model
{
    public class DeploymentType
    {
        public string DisplayName { get; set; }
        public string DiscoveryUrl { get; set; }

        public static List<DeploymentType> GetAll()
        {
            List<DeploymentType> types = new List<DeploymentType>();
            
            types.Add(new DeploymentType
            {
                DisplayName = "On-Premise",
                DiscoveryUrl = "/mscrmservices/2007/ad/CrmDiscoveryService.asmx",
            });

            types.Add(new DeploymentType
            {
                DisplayName = "IFD / SPLA",
                DiscoveryUrl = "/mscrmservices/2007/spla/CrmDiscoveryService.asmx",
            });

            return types;
        }
    }
}
